- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDTTranslation Class Reference
[COLLADA Document Object Model.]

A COLLADA translation. More...

`#include <FCDTransform.h>`

Inheritance diagram for FCDTTranslation:

List of all members.

## Public Member Functions
| FCDTTranslation (FCDocument *document, FCDSceneNode *parent)
| Constructor: do not use directly.
virtual | ~FCDTTranslation ()
| Destructor.
virtual Type | GetType () const
| Retrieves the transformation class type for the translation.
FCDParameterAnimatableVector3 & | GetTranslation ()
| Retrieves the translation 3D displacement vector.
const FCDParameterAnimatableVector3 & | GetTranslation () const
| See above.
void | SetTranslation (const FMVector3 &_translation)
| Sets the translation 3D displacement vector.
void | SetTranslation (float x, float y, float z)
| Sets the translation 3D displacement vector.
virtual FMMatrix44 | ToMatrix () const
| Converts the translation into a matrix.
virtual bool | IsAnimated () const
| Retrieves whether this translation is affected by an animation.
FCDAnimated * | GetAnimated ()
| Retrieves the animated element for the translation.
virtual const FCDAnimated * | GetAnimated () const
| See above.
virtual bool | IsInverse (const FCDTransform *transform) const
| Retrieves whether a given transform is the exact opposite of this translation.
virtual FCDTransform * | Clone (FCDTransform *clone=NULL) const
| Creates a copy of a translation.

## Detailed Description

A COLLADA translation.

A translation is a simple 3D displacement.

## Constructor & Destructor Documentation

FCDTTranslation::FCDTTranslation | ( | FCDocument * | document,
|  | FCDSceneNode * | parent
| ) |

  | Constructor: do not use directly. Instead, use the FCDSceneNode::AddTransform function with the TRANSLATION transformation type. Parameters:
  | document | The COLLADA document that owns the translation.
  | parent | The visual scene node that contains the translation. Set this pointer to NULL if the translation is not owned by a visual scene node.

## Member Function Documentation

virtual FCDTransform* FCDTTranslation::Clone | ( | FCDTransform * | clone = `NULL` | ) | const`[virtual]`

  | Creates a copy of a translation. Parameters:
  | clone | The transform that will be the clone.
Returns: The cloned transformation. Implements FCDTransform.

FCDAnimated* FCDTTranslation::GetAnimated | ( |  | ) | `[inline]`

| Retrieves the animated element for the translation. Returns: The animated element. This pointer will be NULL if the translation is not animated. Reimplemented from FCDTransform.

FCDParameterAnimatableVector3& FCDTTranslation::GetTranslation | ( |  | ) | `[inline]`

| Retrieves the translation 3D displacement vector. This displacement vector may be animated. Returns: The displacement vector.

virtual Type FCDTTranslation::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the transformation class type for the translation. Returns: The transformation class type: TRANSLATION. Implements FCDTransform.

virtual bool FCDTTranslation::IsAnimated | ( |  | ) | const`[virtual]`

| Retrieves whether this translation is affected by an animation. Returns: Whether the translation is animated. Implements FCDTransform.

virtual bool FCDTTranslation::IsInverse | ( | const FCDTransform * | transform | ) | const`[virtual]`

  | Retrieves whether a given transform is the exact opposite of this translation. The opposite of a translation has a displacement vector with all the components multiplied by -1. Parameters:
  | transform | A second transformation.
Returns: Whether the two transformations are opposites. Reimplemented from FCDTransform.

void FCDTTranslation::SetTranslation | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

  | Sets the translation 3D displacement vector. Parameters:
  | x | The x-component displacement.
  | y | The y-component displacement.
  | z | The z-component displacement.

void FCDTTranslation::SetTranslation | ( | const FMVector3 & | _translation | ) | `[inline]`

  | Sets the translation 3D displacement vector. Parameters:
  | _translation | The displacement vector.

virtual FMMatrix44 FCDTTranslation::ToMatrix | ( |  | ) | const`[virtual]`

| Converts the translation into a matrix. Returns: A matrix equivalent of the translation. Implements FCDTransform.

The documentation for this class was generated from the following file:

- FCDocument/FCDTransform.h